> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/extensions-api/category.md).

# Category

The Category Object enables the operator to add, view, or delete a category object.

<table><thead><tr><th width="169">Field</th><th width="116">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The ID of the category object. </td></tr><tr><td><code>name</code></td><td>string</td><td>Name of the category object. </td></tr><tr><td><code>description</code></td><td>string</td><td>A description of the category object. </td></tr><tr><td><code>status</code></td><td>enum</td><td>Indicates the status of the category. Allowed values are  <code>active</code> or <code>disabled</code>.</td></tr><tr><td><code>revision</code></td><td>integer</td><td>The revision number of the category. </td></tr><tr><td><code>audit</code></td><td>object</td><td> Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>

## Example <a href="#example" id="example"></a>

{% code title="CATEGORY OBJECT" overflow="wrap" lineNumbers="true" %}

```json
 {
    "id": "EXC-0001",
    "name": "Automotive",
    "revision": 1,
    "description": "Build a solid foundation with the support of workplace specialists who take the time to understand your unique business needs.",
    "status": "Active",
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
 }
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/extensions-api/category.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
